f0r_param_info Struct Reference

`#include <frei0r.h>`

## Data Fields

const char * | name
int | type
const char * | explanation

## Detailed Description

Similar to f0r_plugin_info_t, this structure is filled by the plugin for every parameter.

All strings are unicode, 0-terminated, and the encoding is utf-8.

Definition at line 448 of file frei0r.h.

## Field Documentation

## explanation

const char* f0r_param_info::explanation

Optional explanation (can be 0)

Definition at line 452 of file frei0r.h.

## name

const char* f0r_param_info::name

The (short) name of the param

Definition at line 450 of file frei0r.h.

## type

int f0r_param_info::type

The type (see the F0R_PARAM_* defines)

Definition at line 451 of file frei0r.h.

The documentation for this struct was generated from the following file:

- frei0r.h